[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlChildSizing.SetGridSpacing

Sets spacing properties in the class instance to the specified value.

## Declaration

Source position: controls.pp line 1983

`public procedure TControlChildSizing.SetGridSpacing(`
`Spacing: Integer`
`);`

## Arguments

`Spacing` |  | Integer value applied to each of the spacing properties.

## Description

SetGridSpacing is a convenience method used to set the values for the spacing properties to a uniform value. The properties are used when child controls are arranged into rows and columns when the Layout property has a value other than cclNone.

The value in the Spacing argument is stored to the following properties:

- LeftRightSpacing
- TopBottomSpacing
- HorizontalSpacing
- VerticalSpacing

## See also

TControlChildSizing.LeftRightSpacing |  | Minimum distance between the left or right edge for the Control and the left or right edge for a child control.
TControlChildSizing.TopBottomSpacing |  | Minimum distance between the top or bottom edge of a Control and the top or bottom edge for a child control.
TControlChildSizing.HorizontalSpacing |  | Minimum space between child controls which are horizontally adjacent.
TControlChildSizing.VerticalSpacing |  | Minimum space between child controls which are vertically adjacent.